#define UNICODE 1
#define _UNICODE 1
#include <windows.h>
#include <strsafe.h>
#include <shlwapi.h>

static void get(LPCTSTR ext, LPTSTR out, DWORD size)
{
  SHGetValue(HKEY_CLASSES_ROOT, ext, NULL, NULL, out, &size);
  out[size / sizeof(TCHAR)] = 0;
}

EXTERN_C int CALLBACK
WinMain(HINSTANCE hInstance, HINSTANCE hPrevInstance, LPSTR lpCmdLine, int nCmdShow)
{
  static TCHAR report[1024], azw[1024], mobi[1024], prc[1024], type[1024];
  get(TEXT(".azw"),  azw,  sizeof(azw));
  get(TEXT(".mobi"), mobi, sizeof(mobi));
  get(TEXT(".prc"),  prc,  sizeof(prc));
  get(azw, type, sizeof(type));
  StringCbPrintf(report, sizeof(report), TEXT("%s\r\n%s\r\n%s\r\n%s"), azw, mobi, prc, type);
  MessageBox(NULL, report, TEXT("Alissa's Debug Report"), MB_ICONINFORMATION | MB_OK);
  return 0;
}
